Subject: Re: [take25 1/6] kevent: Description.

From: Ulrich Drepper <[email-masked]>
Date: Thu, 23 Nov 2006 14:34:46 -0800

Hans Henrik Happe wrote:
> I don't know if this falls under the simplification, but wouldn't there be a 
> race when reading/copying the event data? I guess this could be solved with 
> an extra user index. 

That's what I said, reading the value from the ring buffer structure's 
head would be racy.  All this can only work for single threaded code.

-- 
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖